Bug 1280325 - [abrt] kf5-kinit: qt_message_fatal(): kdeinit5 killed by SIGABRT
[abrt] kf5-kinit: qt_message_fatal(): kdeinit5 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kinit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:803aebcd943dc4c5815e406df83...
:
: 1315418 1321171 1333011 1335659 1337524 1344628 1344855 1348082 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 08:31 EST by ArthurUrbano
Modified: 2016-12-20 10:40 EST (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:40:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.62 KB, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: core_backtrace (5.06 KB, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: dso_list (13.33 KB, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: environ (5.62 KB, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: maps (59.62 KB, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: mountinfo (3.31 KB, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: open_fds (178 bytes, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-11-11 08:31 EST, ArthurUrbano
no flags Details

  None (edit)
Description ArthurUrbano 2015-11-11 08:31:32 EST
Description of problem:
starting kde

Version-Release number of selected component:
kf5-kinit-5.15.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     4330
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1578
 #3 QMessageLogger::fatal at global/qlogging.cpp:781
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:525
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:177
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1019
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1176
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1193

Potential duplicate: bug 1167056
Comment 1 ArthurUrbano 2015-11-11 08:31:37 EST
Created attachment 1092721 [details]
File: backtrace
Comment 2 ArthurUrbano 2015-11-11 08:31:39 EST
Created attachment 1092722 [details]
File: cgroup
Comment 3 ArthurUrbano 2015-11-11 08:31:40 EST
Created attachment 1092723 [details]
File: core_backtrace
Comment 4 ArthurUrbano 2015-11-11 08:31:42 EST
Created attachment 1092724 [details]
File: dso_list
Comment 5 ArthurUrbano 2015-11-11 08:31:43 EST
Created attachment 1092725 [details]
File: environ
Comment 6 ArthurUrbano 2015-11-11 08:31:45 EST
Created attachment 1092726 [details]
File: limits
Comment 7 ArthurUrbano 2015-11-11 08:31:47 EST
Created attachment 1092727 [details]
File: maps
Comment 8 ArthurUrbano 2015-11-11 08:31:48 EST
Created attachment 1092728 [details]
File: mountinfo
Comment 9 ArthurUrbano 2015-11-11 08:31:49 EST
Created attachment 1092729 [details]
File: namespaces
Comment 10 ArthurUrbano 2015-11-11 08:31:51 EST
Created attachment 1092730 [details]
File: open_fds
Comment 11 ArthurUrbano 2015-11-11 08:31:52 EST
Created attachment 1092731 [details]
File: proc_pid_status
Comment 12 Radek Vokal 2016-03-07 11:51:13 EST
*** Bug 1315418 has been marked as a duplicate of this bug. ***
Comment 13 Raman Gupta 2016-03-23 12:08:27 EDT
Similar problem has been detected:

Just logged in.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     13792
kernel:         4.4.6-300.fc23.x86_64
package:        kf5-kinit-5.20.0-1.fc23
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 TFK 2016-03-24 16:33:01 EDT
*** Bug 1321171 has been marked as a duplicate of this bug. ***
Comment 15 Robin Lee 2016-04-16 04:55:54 EDT
Similar problem has been detected:

Login plasma through sddm

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     4407
kernel:         4.4.6-300.fc23.x86_64
package:        kf5-kinit-5.21.0-1.fc23
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Alvin 2016-04-27 06:44:35 EDT
Similar problem has been detected:

Left computer alone for approximately half an hour. User was logged in, but screen locked. 'Dim Screen' and 'Screen Energy Saving' was off in KDE System Settings (Power Management).

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     2229
kernel:         4.4.7-300.fc23.x86_64
package:        kf5-kinit-5.21.0-1.fc23
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1208
Comment 17 Alexandre Nazarenko 2016-05-04 10:02:33 EDT
*** Bug 1333011 has been marked as a duplicate of this bug. ***
Comment 18 Alvin 2016-05-11 04:57:12 EDT
Similar problem has been detected:

On login (or logout?)
circumstances are unclear because the actual login does not succeed completely. User is logged in, but plasmashell crashed. Logout is possible using Krunner.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     2052
kernel:         4.4.8-300.fc23.x86_64
package:        kf5-kinit-5.21.0-1.fc23
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 19 Rex Dieter 2016-05-11 09:28:52 EDT
backtrace from comment #1

#3  QMessageLogger::fatal (this=this@entry=0x7ffc9fe558c0, msg=msg@entry=0x7f6c6de025b8 "QXcbConnection: Could not connect to display %s") at global/qlogging.cpp:781


Means (most likely), your X-server died.  A common cause for that is video driver issues, possibly bug #1335047 (or similar)
Comment 20 Rex Dieter 2016-05-11 09:31:11 EDT
I take it back about the *most likely* part, though it is one explanation.  There are multiple causes for being unable to connect to a display (permission, maximum clients, server crash, etc...)
Comment 21 myfedora 2016-05-12 15:32:57 EDT
*** Bug 1335659 has been marked as a duplicate of this bug. ***
Comment 22 modee skor 2016-05-19 07:40:50 EDT
*** Bug 1337524 has been marked as a duplicate of this bug. ***
Comment 23 pscdvl 2016-06-10 04:29:41 EDT
*** Bug 1344628 has been marked as a duplicate of this bug. ***
Comment 24 webdesigner 2016-06-11 14:35:16 EDT
*** Bug 1344855 has been marked as a duplicate of this bug. ***
Comment 25 gwaewion 2016-06-20 02:34:17 EDT
*** Bug 1348082 has been marked as a duplicate of this bug. ***
Comment 26 Oliver Sampson 2016-09-11 06:12:21 EDT
Similar problem has been detected:

It happened at login.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/kf5/klauncher --fd=8
crash_function: qt_message_fatal
executable:     /usr/libexec/kf5/klauncher
global_pid:     30169
kernel:         4.7.2-101.fc23.x86_64
package:        kf5-kinit-5.25.0-1.fc23
reason:         klauncher killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 27 Fedora End Of Life 2016-11-24 08:18:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 28 Fedora End Of Life 2016-12-20 10:40:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.